import { ClassDeclaration, PropertyDeclaration, PropertySignature, SourceFile } from "ts-morph";
import { InternalPropertyMeta } from "./internal-resource-meta";
/** @monorepo-internal */
export declare function getSourceFiles(): SourceFile[];
/** @monorepo-internal */
export declare function isDecoratedWithResourceId(classDeclaration: ClassDeclaration): boolean;
/** @monorepo-internal */
export declare function initInternalResourceMetaHandlers(sourceFile: SourceFile): Promise<any>;
/** @monorepo-internal */
export declare function initInternalResourceMeta(classDeclaration: ClassDeclaration, isExtended?: boolean): Promise<string>;
export declare function createInternalPropertyMeta(property: PropertyDeclaration | PropertySignature, isBaseResource?: boolean): InternalPropertyMeta;
